#include <bits/stdc++.h>
using namespace std;

#define pi pair<int,int>
#define vpi vector<pi>
#define fi first
#define se second

bool sort2(const pi &a,const pi &b) {if(a.se<b.se) return true; else return false;}

int main()
{
    int n,granica,x; cin>>n;
    //n=200000;
    long long cost=0;
    vpi a(n);
    //for(int i=0; i<n; ++i) a[i].fi=0, a[i].se=i;
    for(int i=0; i<n; ++i) {cin>>a[i].se>>a[i].fi; a[i].fi--; a[i].se--;}
    sort(a.begin(),a.end(),sort2);
    granica=0;
    for(int i=0; i<n; ++i) {
        x=granica-a[i].se;
        if(x<0) x=x*(-1);
        cost=cost+x;
        a[i].se=granica;
        granica=granica+1;
    }
    sort(a.begin(),a.end());
    granica=0;
    for(int i=0; i<n; ++i) {
        x=granica-a[i].fi;
        if(x<0) x=x*(-1);
        cost=cost+x;
        a[i].fi=granica;
        granica=granica+1;
    }
    cout<<cost<<endl;
    getchar();
    return 0;
}